/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package input;

import java.io.IOException;
import java.util.ArrayList;

import jama.Matrix;
import jgromacs.data.IndexSet;
import jgromacs.data.IndexSetList;
import jgromacs.io.IOData;
import jgromacs.io.IOMath;

/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to read Matrix and ArrayList objects from file
 * 
 */
public class ReadDataMatrices {

	
	public static void main(String[] args) {
			
		try {
		// Reading a JAMA Matrix object from file
		Matrix matrix = IOMath.readMatrixFromFile("dataset//example_matrix.txt");
		System.out.println(matrix.getRowDimension()+"x"+matrix.getColumnDimension()); // Writing out matrix dimensions
		
		// Reading an ArrayList object from file
		ArrayList array = IOMath.readArrayListFromFile("dataset//example_array.txt");
		System.out.println(array.size()); // Writing out array size
		
		} catch (IOException e) {		
			e.printStackTrace();
		}
	
		
	}

}
