/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package input;

import java.io.IOException;

import jgromacs.data.Alignment;
import jgromacs.data.IndexSet;
import jgromacs.data.IndexSetList;
import jgromacs.data.Sequence;
import jgromacs.io.IOData;

/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to read index sets and index set lists from NDX file
 * 
 */

public class ReadIndexSets {
	
	public static void main(String[] args) {

		try {
			
		// Reading an index set from an NDX file
		IndexSet iset = IOData.readIndexSetFromNDX("dataset//example.ndx");
		System.out.println(iset); // Writing out the String representation of iset
		
		// Reading an index set list from an NDX file
		IndexSetList isetlist = IOData.readIndexSetListFromNDX("dataset//example.ndx");
		System.out.println();
		System.out.println(isetlist); // Writing out the String representation of isetlist
		
		} catch (IOException e) {
			e.printStackTrace();
		}

	
	}
}
