/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package output;

import java.io.IOException;
import java.util.ArrayList;

import jama.Matrix;
import jgromacs.data.IndexSet;
import jgromacs.data.IndexSetList;
import jgromacs.io.IOData;
import jgromacs.io.IOMath;
/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to write Matrix and ArrayList objects to file
 * 
 */	
public class WriteDataMatrices {

	public static void main(String[] args) {
		
		try {
			
		// Writing a JAMA Matrix object to file
		Matrix matrix = Matrix.random(100, 100);
		IOMath.writeMatrixToFile(matrix,"output_matrix.txt");
		
		// Writing an ArrayList object to file
		ArrayList array = new ArrayList();
		for (int i = 0; i < 100; i++) array.add(Math.random());
		IOMath.writeArrayListToFile(array,"output_array.txt");
		
		} catch (IOException e) {
			e.printStackTrace();
		}
		

	}

}
