/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package output;

import java.io.IOException;

import jgromacs.data.Alignment;
import jgromacs.data.IndexSet;
import jgromacs.data.IndexSetList;
import jgromacs.data.Sequence;
import jgromacs.io.IOData;
/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to write index sets or index set lists to NDX file
 * 
 */	
public class WriteIndexSets {

	public static void main(String[] args) {

		try {
			
		IndexSetList isetlist = IOData.readIndexSetListFromNDX("example.ndx");
		IndexSet iset = isetlist.fuseIntoOneIndexSet();
		isetlist.removeIndexSet(0);
		
		// Writing an index set to an NDX file
		IOData.writeIndexSetToNDX("output_iset.ndx", iset);
		
		// Writing an index set list to an NDX file
		IOData.writeIndexSetListToNDX("output_isetlist.ndx", isetlist);
	
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		
	}
}
