/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package output;

import java.io.IOException;

import jgromacs.data.Alignment;
import jgromacs.data.Sequence;
import jgromacs.io.IOData;
/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to write sequences or alignments to FASTA file
 * 
 */	
public class WriteSequences {
		
	public static void main(String[] args) {

		try {
		
		Sequence sequence = IOData.readSequenceFromFASTA("dataset//example_sequence.fasta");
		sequence = sequence.getReverse();
		
		Alignment alignment = IOData.readAlignmentFromFASTA("dataset//example_alignment.fasta");
		alignment = alignment.getCollapsedAlignment();
		
		// Writing a sequence to a FASTA file
		IOData.writeSequenceToFASTA("output_sequence.fasta", sequence);
		
		// Writing an alignment to a FASTA file
		IOData.writeAlignmentToFASTA("output_alignment.fasta", alignment);
			
		} catch (IOException e) {
			e.printStackTrace();
		}
		
	}
	
}
