/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package output;

import java.io.IOException;

import jgromacs.data.Structure;
import jgromacs.io.IOData;

/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to write structures to PDB or GRO file
 * 
 */	
public class WriteStructures {

	public static void main(String[] args) {
		
		try {
		
		Structure structure = IOData.readStructureFromGRO("dataset//example_protein.gro");
		structure = structure.getSubStructure(structure.getAlphaCarbonIndexSet());
		
		// Writing a structure to a PDB file
		IOData.writeStructureToPDB("output.pdb", structure);
		
		// Writing a structure to a GRO file
		IOData.writeStructureToGRO("output.gro", structure);
			
		} catch (IOException e) {
			e.printStackTrace();
		}
		
			
	}

}
