/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package ui;

import jgromacs.ui.Application;

/**
 * 
 *  Example code for the JGromacs v1.0. package
 *  Topic: How to build an application of JGromacs user interface
 * 
 */
public class UIDemo extends Application{

	public UIDemo(){
		super();
		XMLFileName = "uidemo.xml";
		setLogFileName("logfile.log");
		setWritingToLogFile(true);
	}
	
	public void runCore() {
		
		System.out.println("Hello World!");
		System.out.println();
		
		if (isArgumentGiven("q")) System.out.println("You used argument q");
		if (isArgumentGiven("y")) System.out.println("You used argument y");
		
		System.out.println();
		System.out.println("The value associated to argument R is "+getArgumentValue("R"));
		
		System.out.println();
		System.out.println("Bye!");
		
	}
	
	public static void main(String[] args) {
		UIDemo app = new UIDemo();
		app.run(args);
	}

}
